package cn.iocoder.yudao.module.expense.api.expenseinfo;

import cn.iocoder.yudao.module.expense.api.expenseinfo.dto.ExpenseInfoCreateReqDTO;
import cn.iocoder.yudao.module.expense.service.expenseinfo.ExpenseInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Objects;

@Service
public class ExpenseInfoApiImpl implements ExpenseInfoApi{

    @Resource
    private ExpenseInfoService expenseInfoService;

    @Override
    public Long createExpenseInfo(ExpenseInfoCreateReqDTO createReqDTO) {
        if (Objects.isNull(createReqDTO)) {
            return -1L;
        }
        return expenseInfoService.createExpenseInfo(createReqDTO);
    }
}
